***** Table A3 *****
use "tablea3.dta", clear

* General measures of whether adopt between 2008 and 2017, and whether drop again
sort year
egen timeid=group(year)
tsset plantid timeid

keep plantid timeid q1-q38
for num 1/38: rename qX qX_
reshape wide q1_-q38_, i(plantid) j(timeid)

* Ever adopted practice after not using it in 2008
for num 1/38: gen everadoptX=cond((qX_2==1|qX_3==1|qX_4==1) & qX_1==0, 1, 0)

* Have dropped policy by 2017 after having adopted it
for num 1/38: gen dropX=cond(qX_4==0 & everadoptX==1, 1, 0)


collapse (sum) everadopt1-everadopt38 drop1-drop38

for num 1/38: gen propdroppedX=dropX/everadoptX
for num 1/38: replace propdroppedX=. if everadoptX==0

gen constant=1
reshape long everadopt drop propdropped, i(constant) j(practice)

gen intablea3=0
replace intablea3=1 if pra==9|pra==22|pra==11|pra==10|pra==21|pra==18|pra==17|pra==4|pra==33|pra==20|pra==24
replace intablea3=1 if pra==7|pra==8|pra==5|pra==6|pra==27|pra==1|pra==12|pra==16|pra==19|pra==26|pra==28
replace intablea3=1 if pra==35|pra==37

gsort -propdrop
list if everadopt>=6


