* Table A4

use tablea4, clear

* Use data from our broader survey of textile firms in India
*** Log Production per worker (in meters or picks)
gen prodperworker=log(production/employees)

*** Log Looms per Worker
gen logloomsperworker=log(looms/employees)




**** Table A4: Looms per employee and labor productivity
eststo clear
* Column 1: No fixed effects
reg prodperworker logloomsperworker, vce(cluster fcode)
eststo TableA4_1
* Column 2: Year fixed effects only
reghdfe prodperworker logloomsperworker,ab(year) vce(cluster fcode)
eststo TableA4_2
* Column 3: Firm fixed effects only
reghdfe prodperworker logloomsperworker,ab(fcode) vce(cluster fcode)
eststo TableA4_3
* Column 4: Year and Firm Fixed Effects
reghdfe prodperworker logloomsperworker,ab(fcode year) vce(cluster fcode)
eststo TableA4_4

/* esttab TableA4_* /// */
/* 				using "TableA4.csv", replace /// */
/* 				se(%5.3f) b(%5.3f) se star(* 0.10 ** 0.05 *** 0.01) nogaps /// */
/* 					stats(N, labels("Sample Size" ) /// */
/* 									fmt(%6.0f)) /// */
/* 					title("Table A4: Looms per employee and labor productivity") 	 */
/* ; */
