* Figures 
* completed: AM 07/30/19
* needs: figure1.dta, figures23.dta, figures23_2.dta



*Figure 1
u figure1,clear
expand 2 if timing==24
replace timing=100 if timing[_n-1]==24
replace m_managementt=0.46 if timing==100
replace m_managementc=0.33 if timing==100
replace m_managementnon_t=0.47 if timing==100
replace m_managementnon_c=0.35 if timing==100
scatter m_managementt m_managementc m_managementnon_t m_managementnon_c timing if timing>=-20, c(l l l l l) s(d + o s O) legend(off) xlabel(minmax) legend(off) xlabel(-20 (20) 100) graphregion(color(white))
scatter m_managementt m_managementc m_managementnon_t m_managementnon_c timing if timing>=-10&timing<=24, c(l l l l l) s(d + o s O) legend(off) xlabel(minmax) legend(off) xlabel(-10 (2) 24) graphregion(color(white))


**Figures 2 and 3
u figures23, clear
collapse q1-q38,by(treatment experimental year)
reshape long q@ ,i(treatment experimental year) j(question )
so question
merge question using figures23_2
drop _m
gen group="t"+string(treatment)+"_i"+string(experimental)+"_y"+string(year)
drop treatment experimental year
reshape wide q,i(question category) j(group) string


*Treatment firms - all plants similar in 2008 and 2017 but different in 2011
cor qt1_i1_y2008 qt1_i0_y2008
cor qt1_i1_y2011 qt1_i0_y2011
cor qt1_i1_y2017 qt1_i0_y2017
lab var qt1_i1_y2008 " "
lab var qt1_i1_y2011 " "
lab var qt1_i1_y2017 " "
scatter qt1_i1_y2008 qt1_i0_y2008 qt1_i1_y2008 ,ml(. question) legend(off) ms(p X) c(l)
scatter qt1_i1_y2011 qt1_i0_y2011 qt1_i1_y2011 ,ml(. question) legend(off) ms(p X) c(l)
scatter qt1_i1_y2017 qt1_i0_y2017 qt1_i1_y2017 ,ml(. question) legend(off) ms(p X) c(l)

scatter qt1_i0_y2011 qt0_i1_y2011 qt1_i0_y2011 ,ml(. question) legend(off) ms(p X) c(l)
scatter qt1_i0_y2011 qt1_i1_y2017 qt1_i0_y2011 ,ml(. question) legend(off) ms(p X) c(l)
cor qt1_i0_y2011 qt0_i1_y2011
cor qt1_i0_y2011 qt1_i1_y2017

*Did non-experimental plants in treatment adopt practice in treatment plants?

*Plot changes
gen dqt1_i0_1708=qt1_i0_y2017-qt1_i0_y2008
gen dqt1_i1_1708=qt1_i1_y2017-qt1_i1_y2008
gen dqt1_i0_1711=qt1_i0_y2017-qt1_i0_y2011
gen dqt1_i1_1711=qt1_i1_y2017-qt1_i1_y2011
gen dqt1_i1_1108=qt1_i1_y2011-qt1_i1_y2008

lab var dqt1_i0_1708 "Change in treatment non-experimental"
lab var dqt1_i1_1708 "Change in treatment experimental"
lab var dqt1_i0_1711 "Change in treatment non-experimental"
lab var dqt1_i1_1711 "Change in treatment experimental"
scatter dqt1_i0_1708 dqt1_i1_1708,xline(0) yline(0) ml(question) xlab(-1(0.5)1) ylab(-1(0.5)1)
scatter dqt1_i0_1711 dqt1_i1_1711,xline(0) yline(0) ml(question) xlab(-1(0.5)1) ylab(-1(0.5)1)

