* Table 3
* complete: AM 07/30/19
* needs: table3.dta

clear

use table3

*Columns 1 to 4
tab reason if treatment==1&experimental==1
tab reason if treatment==1&experimental==0
tab reason if treatment==0&experimental==1
tab reason if treatment==0&experimental==0
tab reason


* doing the cross-tabs in regression format to get standard errors
tab reason, gen(r_dummy)

renam r_dummy8 nochange
renam r_dummy7 drp_time
renam r_dummy6 drp_newmanager
renam r_dummy5 drp_negbenefit
renam r_dummy4 add_spllvplant
renam r_dummy3 add_spllvfirm
renam r_dummy2 add_pcechange
renam r_dummy1 add_newmanager

gen  treat_exp = (treatment==1 & experimental==1)
gen  treat_nonexp = (treatment==1 & experimental==0)
gen  control_exp = (treatment==0 & experimental==1)
gen  control_nonexp = (treatment==0 & experimental==0)


egen totadded = rowtotal(add_spllvfirm add_pcechange add_newmanager add_spllvplant)

egen totdrop = rowtotal(drp_time drp_newmanager drp_negbenefit)



local outcomes add_newmanager add_pcechange  add_spllvfirm add_spllvplant totadded drp_newmanager drp_negbenefit drp_time   totdrop nochange    

foreach y of local   outcomes {
    reg `y' treat_exp treat_nonexp control_exp control_nonexp, robust cluster(plant) nocons
    reg `y', robust cluster(plant)

}




